ALSA project - the C library reference

Loading...
Searching...
No Matches
Macros | Enumerations | Variables
Sequencer Event Type Checks
MIDI Sequencer

## Macros
#define | _SND_SEQ_TYPE(x)
#define | _SND_SEQ_TYPE_OPT(x)
#define | snd_seq_type_check(ev, x)
#define | snd_seq_ev_is_result_type(ev)
#define | snd_seq_ev_is_note_type(ev)
#define | snd_seq_ev_is_control_type(ev)
#define | snd_seq_ev_is_channel_type(ev)
#define | snd_seq_ev_is_queue_type(ev)
#define | snd_seq_ev_is_message_type(ev)
#define | snd_seq_ev_is_subscribe_type(ev)
#define | snd_seq_ev_is_sample_type(ev)
#define | snd_seq_ev_is_user_type(ev)
#define | snd_seq_ev_is_instr_type(ev)
#define | snd_seq_ev_is_fixed_type(ev)
#define | snd_seq_ev_is_variable_type(ev)
#define | snd_seq_ev_is_varusr_type(ev)
#define | snd_seq_ev_is_reserved(ev)
#define | snd_seq_ev_is_prior(ev)
#define | snd_seq_ev_length_type(ev)
#define | snd_seq_ev_is_fixed(ev)
#define | snd_seq_ev_is_variable(ev)
#define | snd_seq_ev_is_varusr(ev)
#define | snd_seq_ev_timestamp_type(ev)
#define | snd_seq_ev_is_tick(ev)
#define | snd_seq_ev_is_real(ev)
#define | snd_seq_ev_timemode_type(ev)
#define | snd_seq_ev_is_abstime(ev)
#define | snd_seq_ev_is_reltime(ev)
#define | snd_seq_ev_is_direct(ev)
#define | snd_seq_ev_is_ump(ev)

## Enumerations
enum | { SND_SEQ_EVFLG_RESULT , SND_SEQ_EVFLG_NOTE , SND_SEQ_EVFLG_CONTROL , SND_SEQ_EVFLG_QUEUE , SND_SEQ_EVFLG_SYSTEM , SND_SEQ_EVFLG_MESSAGE , SND_SEQ_EVFLG_CONNECTION , SND_SEQ_EVFLG_SAMPLE , SND_SEQ_EVFLG_USERS , SND_SEQ_EVFLG_INSTR , SND_SEQ_EVFLG_QUOTE , SND_SEQ_EVFLG_NONE , SND_SEQ_EVFLG_RAW , SND_SEQ_EVFLG_FIXED , SND_SEQ_EVFLG_VARIABLE , SND_SEQ_EVFLG_VARUSR }
enum | { SND_SEQ_EVFLG_NOTE_ONEARG , SND_SEQ_EVFLG_NOTE_TWOARG }
enum | { SND_SEQ_EVFLG_QUEUE_NOARG , SND_SEQ_EVFLG_QUEUE_TICK , SND_SEQ_EVFLG_QUEUE_TIME , SND_SEQ_EVFLG_QUEUE_VALUE }

## Variables
const unsigned int | snd_seq_event_types []

## Detailed Description

Sequencer Event Type Checks

## Macro Definition Documentation

## ◆ _SND_SEQ_TYPE

#define _SND_SEQ_TYPE | ( |  | x | ) |

Value:
(1<<(x))

master type - 24bit

## ◆ _SND_SEQ_TYPE_OPT

#define _SND_SEQ_TYPE_OPT | ( |  | x | ) |

Value:
((x)<<24)

optional type - 8bit

## ◆ snd_seq_ev_is_abstime

#define snd_seq_ev_is_abstime | ( |  | ev | ) |

Value:
(snd_seq_ev_timemode_type(ev) == SND_SEQ_TIME_MODE_ABS)
snd_seq_ev_timemode_type
#define snd_seq_ev_timemode_type(ev)
Definition seq.h:773
SND_SEQ_TIME_MODE_ABS
#define SND_SEQ_TIME_MODE_ABS
Definition seq_event.h:226

scheduled in absolute time

## ◆ snd_seq_ev_is_channel_type

#define snd_seq_ev_is_channel_type | ( |  | ev | ) |

Value:
(snd_seq_event_types[(ev)->type] & (_SND_SEQ_TYPE(SND_SEQ_EVFLG_NOTE) | _SND_SEQ_TYPE(SND_SEQ_EVFLG_CONTROL)))
_SND_SEQ_TYPE
#define _SND_SEQ_TYPE(x)
Definition seq.h:692
snd_seq_event_types
const unsigned int snd_seq_event_types[]
Definition seq_event.c:15

event type check: channel specific events

## ◆ snd_seq_ev_is_control_type

#define snd_seq_ev_is_control_type | ( |  | ev | ) |

Value:
snd_seq_type_check(ev, SND_SEQ_EVFLG_CONTROL)
snd_seq_type_check
#define snd_seq_type_check(ev, x)
Definition seq.h:696

event type check: control events

## ◆ snd_seq_ev_is_direct

#define snd_seq_ev_is_direct | ( |  | ev | ) |

Value:
((ev)->queue == SND_SEQ_QUEUE_DIRECT)
SND_SEQ_QUEUE_DIRECT
#define SND_SEQ_QUEUE_DIRECT
Definition seq.h:452

direct dispatched events

## ◆ snd_seq_ev_is_fixed

#define snd_seq_ev_is_fixed | ( |  | ev | ) |

Value:
(snd_seq_ev_length_type(ev) == SND_SEQ_EVENT_LENGTH_FIXED)
snd_seq_ev_length_type
#define snd_seq_ev_length_type(ev)
Definition seq.h:750
SND_SEQ_EVENT_LENGTH_FIXED
#define SND_SEQ_EVENT_LENGTH_FIXED
Definition seq_event.h:230

fixed length events

## ◆ snd_seq_ev_is_fixed_type

#define snd_seq_ev_is_fixed_type | ( |  | ev | ) |

Value:
snd_seq_type_check(ev, SND_SEQ_EVFLG_FIXED)

event type check: fixed length events

## ◆ snd_seq_ev_is_instr_type

#define snd_seq_ev_is_instr_type | ( |  | ev | ) |

Value:
snd_seq_type_check(ev, SND_SEQ_EVFLG_INSTR)

event type check: instrument layer events

## ◆ snd_seq_ev_is_message_type

#define snd_seq_ev_is_message_type | ( |  | ev | ) |

Value:
snd_seq_type_check(ev, SND_SEQ_EVFLG_MESSAGE)

event type check: system status messages

## ◆ snd_seq_ev_is_note_type

#define snd_seq_ev_is_note_type | ( |  | ev | ) |

Value:
snd_seq_type_check(ev, SND_SEQ_EVFLG_NOTE)

event type check: note events

## ◆ snd_seq_ev_is_prior

#define snd_seq_ev_is_prior | ( |  | ev | ) |

Value:
(((ev)->flags & SND_SEQ_PRIORITY_MASK) == SND_SEQ_PRIORITY_HIGH)
SND_SEQ_PRIORITY_HIGH
#define SND_SEQ_PRIORITY_HIGH
Definition seq_event.h:236
SND_SEQ_PRIORITY_MASK
#define SND_SEQ_PRIORITY_MASK
Definition seq_event.h:237

macros to check event flags prior events

## ◆ snd_seq_ev_is_queue_type

#define snd_seq_ev_is_queue_type | ( |  | ev | ) |

Value:
snd_seq_type_check(ev, SND_SEQ_EVFLG_QUEUE)

event type check: queue control events

## ◆ snd_seq_ev_is_real

#define snd_seq_ev_is_real | ( |  | ev | ) |

Value:
(snd_seq_ev_timestamp_type(ev) == SND_SEQ_TIME_STAMP_REAL)
snd_seq_ev_timestamp_type
#define snd_seq_ev_timestamp_type(ev)
Definition seq.h:763
SND_SEQ_TIME_STAMP_REAL
#define SND_SEQ_TIME_STAMP_REAL
Definition seq_event.h:223

event is in real-time

## ◆ snd_seq_ev_is_reltime

#define snd_seq_ev_is_reltime | ( |  | ev | ) |

Value:
(snd_seq_ev_timemode_type(ev) == SND_SEQ_TIME_MODE_REL)
SND_SEQ_TIME_MODE_REL
#define SND_SEQ_TIME_MODE_REL
Definition seq_event.h:227

scheduled in relative time

## ◆ snd_seq_ev_is_reserved

#define snd_seq_ev_is_reserved | ( |  | ev | ) |

Value:
(! snd_seq_event_types[(ev)->type])

event type check: reserved for kernel

## ◆ snd_seq_ev_is_result_type

#define snd_seq_ev_is_result_type | ( |  | ev | ) |

Value:
snd_seq_type_check(ev, SND_SEQ_EVFLG_RESULT)

event type check: result events

## ◆ snd_seq_ev_is_sample_type

#define snd_seq_ev_is_sample_type | ( |  | ev | ) |

Value:
snd_seq_type_check(ev, SND_SEQ_EVFLG_SAMPLE)

event type check: sample messages

## ◆ snd_seq_ev_is_subscribe_type

#define snd_seq_ev_is_subscribe_type | ( |  | ev | ) |

Value:
snd_seq_type_check(ev, SND_SEQ_EVFLG_CONNECTION)

event type check: system status messages

## ◆ snd_seq_ev_is_tick

#define snd_seq_ev_is_tick | ( |  | ev | ) |

Value:
(snd_seq_ev_timestamp_type(ev) == SND_SEQ_TIME_STAMP_TICK)
SND_SEQ_TIME_STAMP_TICK
#define SND_SEQ_TIME_STAMP_TICK
Definition seq_event.h:222

event is in tick time

## ◆ snd_seq_ev_is_ump

#define snd_seq_ev_is_ump | ( |  | ev | ) |

Value:
((ev)->flags & SND_SEQ_EVENT_UMP)
SND_SEQ_EVENT_UMP
#define SND_SEQ_EVENT_UMP
Definition seq_event.h:239

UMP events

## ◆ snd_seq_ev_is_user_type

#define snd_seq_ev_is_user_type | ( |  | ev | ) |

Value:
snd_seq_type_check(ev, SND_SEQ_EVFLG_USERS)

event type check: user-defined messages

## ◆ snd_seq_ev_is_variable

#define snd_seq_ev_is_variable | ( |  | ev | ) |

Value:
(snd_seq_ev_length_type(ev) == SND_SEQ_EVENT_LENGTH_VARIABLE)
SND_SEQ_EVENT_LENGTH_VARIABLE
#define SND_SEQ_EVENT_LENGTH_VARIABLE
Definition seq_event.h:231

variable length events

## ◆ snd_seq_ev_is_variable_type

#define snd_seq_ev_is_variable_type | ( |  | ev | ) |

Value:
snd_seq_type_check(ev, SND_SEQ_EVFLG_VARIABLE)

event type check: variable length events

## ◆ snd_seq_ev_is_varusr

#define snd_seq_ev_is_varusr | ( |  | ev | ) |

Value:
(snd_seq_ev_length_type(ev) == SND_SEQ_EVENT_LENGTH_VARUSR)
SND_SEQ_EVENT_LENGTH_VARUSR
#define SND_SEQ_EVENT_LENGTH_VARUSR
Definition seq_event.h:232

variable length on user-space

## ◆ snd_seq_ev_is_varusr_type

#define snd_seq_ev_is_varusr_type | ( |  | ev | ) |

Value:
snd_seq_type_check(ev, SND_SEQ_EVFLG_VARUSR)

event type check: user pointer events

## ◆ snd_seq_ev_length_type

#define snd_seq_ev_length_type | ( |  | ev | ) |

Value:
((ev)->flags & SND_SEQ_EVENT_LENGTH_MASK)
SND_SEQ_EVENT_LENGTH_MASK
#define SND_SEQ_EVENT_LENGTH_MASK
Definition seq_event.h:233

get the data length type

## ◆ snd_seq_ev_timemode_type

#define snd_seq_ev_timemode_type | ( |  | ev | ) |

Value:
((ev)->flags & SND_SEQ_TIME_MODE_MASK)
SND_SEQ_TIME_MODE_MASK
#define SND_SEQ_TIME_MODE_MASK
Definition seq_event.h:228

time-mode type

## ◆ snd_seq_ev_timestamp_type

#define snd_seq_ev_timestamp_type | ( |  | ev | ) |

Value:
((ev)->flags & SND_SEQ_TIME_STAMP_MASK)
SND_SEQ_TIME_STAMP_MASK
#define SND_SEQ_TIME_STAMP_MASK
Definition seq_event.h:224

time-stamp type

## ◆ snd_seq_type_check

#define snd_seq_type_check | ( |  | ev,
|  |  | x )

Value:
(snd_seq_event_types[(ev)->type] & _SND_SEQ_TYPE(x))

check the event type

## Variable Documentation

## ◆ snd_seq_event_types

const unsigned int snd_seq_event_types[]
| extern

Exported event type table

This table is referred by snd_seq_ev_is_xxx.

Event types conversion array